=== debian/changelog ===
qsynth (0.6.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:38 +0100

qsynth (0.6.1-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * d/control: Qt4 -> Qt
  * d/copyright: adds myself

  [ Dennis Braun ]
  * New upstream release

  [ Sebastian Ramacher ]
  * Bump Standards-Version
  * debian/: Build with cmake to properly handle manpages
  * debian/control:
    - Set RRR: no
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jan 2020 15:12:32 +0100

qsynth (0.6.0-1) unstable; urgency=medium

  * Team upload

  [ Olivier Humbert ]
  * Update copyright (http -> https)

  [ Dennis Braun ]
  * New upstream release (Closes: #946738)
  * debian/copyright: Update copyright year
  * debian/patches/1001-soundfont_default_dir.patch: Update

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 16 Dec 2019 10:09:01 +0100

qsynth (0.5.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update copyright date for rncbc

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Bump debhelper compat to 12
  * debian/copyright: Document appdata license

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Oct 2019 20:40:50 +0200
