=== debian/watch ===
version=3
https://sf.net/qsynth/qsynth-([\d.]+)\.tar\.gz
