## qsynth 0.6.3

=== debian/changelog ===
qsynth (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Bump dh-compat to 13
  * Remove obsolete linker flags in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Aug 2020 18:39:35 +0200

qsynth (0.6.2-1) unstable; urgency=medium

  [ Dennis Braun ]
  * New upstream version 0.6.2
  * Add d/upstream/metadata
  * Update d/copyright year
  * Disable debugging
  * Add myself as uploader

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 Mar 2020 09:44:30 +0200
