=== debian/changelog ===
qsynth (0.9.0.5+git60ff46-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 06 Jan 2021 22:34:14 -0500

qsynth (0.9.0.5git.60ff46-1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 06 Jan 2021 04:03:47 +0000

qsynth (0.9.0.5git.60ff46-45) unstable; urgency=low

  * Git snapshot.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  6 Jan 2021 04:00:55 +0000

qsynth (0.9.0-44) unstable; urgency=low

  * Winter'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 17 Dec 2020 20:00:00 +0000

qsynth (0.6.3-43) unstable; urgency=low

  * Summer'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 31 Jul 2020 20:00:00 +0100

qsynth (0.6.2-42) unstable; urgency=low

  * Spring'20 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 24 Mar 2020 20:00:00 +0000

qsynth (0.6.1-40) unstable; urgency=low

  * Winter'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 22 Dec 2019 19:00:00 +0000

qsynth (0.6.0-19) unstable; urgency=low

  * Autumn'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 17 Oct 2019 19:00:00 +0100

qsynth (0.5.7-18) unstable; urgency=low

  * Summer'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Fri, 12 Jul 2019 19:00:00 +0100

qsynth (0.5.6-17) unstable; urgency=low

  * Spring-Break'19 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 11 Apr 2019 19:00:00 +0000

qsynth (0.5.5-16) unstable; urgency=low

  * Pre-LAC2019 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 11 Mar 2019 19:00:00 +0000

qsynth (0.5.4-15) unstable; urgency=low

  * End of Autumn'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed,  5 Dec 2018 19:00:00 +0000

qsynth (0.5.3-14) unstable; urgency=low

  * Autumn'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 10 Oct 2018 19:00:00 +0100

qsynth (0.5.2-13) unstable; urgency=low

  * Summer'18 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sun, 22 Jul 2018 20:00:00 +0100

qsynth (0.5.1-12) unstable; urgency=low

  * Pre-LAC2018 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 21 May 2018 12:00:00 +0100

qsynth (0.5.0-11) unstable; urgency=low

  * End of Autumn'17 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Sat, 16 Dec 2017 19:00:00 +0000

qsynth (0.4.4-10) unstable; urgency=low

  * Pre-LAC2017 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 27 Apr 2017 19:00:00 +0000

qsynth (0.4.3-9) unstable; urgency=low

  * A Fall'16 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 14 Nov 2016 12:00:00 +0000

qsynth (0.4.2-8) unstable; urgency=low

  * End of Summer'16 release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 15 Apr 2016 12:00:00 +0100

qsynth (0.4.1-7) unstable; urgency=low

  * Spring'16 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue,  5 Apr 2016 18:30:00 +0100

qsynth (0.4.0-6) unstable; urgency=low

  * Summer'15 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon,  7 Sep 2015 18:30:00 +0100

qsynth (0.3.9-5) unstable; urgency=low

  * Pre-LAC2015 release frenzy.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Wed, 25 Mar 2015 18:30:00 +0100

qsynth (0.3.8-4) unstable; urgency=low

  * A fifth of a Jubilee release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 31 Dec 2013 12:00:00 +0100

qsynth (0.3.7-3) unstable; urgency=low

  * Spring cleaning sale.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 16 Apr 2013 18:35:00 +0100

qsynth (0.3.5-2) unstable; urgency=low

  * Overdue release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue, 27 Apr 2010 19:05:00 +0100

qsynth (0.3.3-1) unstable; urgency=low

  * Knobs galore.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Thu, 10 Jul 2008 16:01:30 +0100

qsynth (0.3.1-1) unstable; urgency=low

  * Shallowed bug-fix release.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Mon, 16 Jul 2007 09:15:20 +0100

qsynth (0.3.0-1) unstable; urgency=low

  * Initial debianization.

 -- Rui Nuno Capela <rncbc@rncbc.org>  Tue,  3 Jul 2007 10:05:01 +0100
