=== debian/control ===
Source: qsynth
Section: contrib/sound
Priority: extra
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Rui Nuno Capela <rncbc@rncbc.org>
Build-Depends: debhelper (>= 9), automake, pkg-config,
  qtchooser, qtbase5-dev (>= 5.1), qtbase5-dev-tools (>= 5.1),
  qttools5-dev (>= 5.1), qttools5-dev-tools (>= 5.1),
  libfluidsynth-dev
Standards-Version: 3.9.7

Package: qsynth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A fluidsynth Qt GUI Interface
  Qsynth is a fluidsynth GUI front-end application written in C++
  around the Qt framework using Qt Designer. Eventually it may evolve
  into a softsynth management application allowing the user to control
  and manage a variety of command line softsynths but for the moment
  it wraps the excellent FluidSynth (http://www.fluidsynth.org).
  FluidSynth is a command line software synthesiser based on the
  Soundfont specification.
