## qsynth 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
-project(qsynth)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.9.1")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qsynth
+  VERSION 0.9.1
+  DESCRIPTION "A fluidsynth Qt GUI Interface"
+  LANGUAGES C CXX)
+
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -23,6 +26,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "Qsynth")
@@ -121,17 +126,11 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for FLUIDSYNTH library.
-pkg_check_modules (FLUIDSYNTH REQUIRED fluidsynth)
+pkg_check_modules (FLUIDSYNTH REQUIRED IMPORTED_TARGET fluidsynth)
 if (FLUIDSYNTH_FOUND)
   set (CONFIG_FLUIDSYNTH 1)
-  include_directories (${FLUIDSYNTH_INCLUDE_DIRS})
-  link_directories (${FLUIDSYNTH_LIBRARY_DIRS})
-# link_libraries (${FLUIDSYNTH_LIBRARIES})
-  set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
-  # Check for new_fluid_server function.
-  if (CONFIG_FLUID_SERVER)
-    check_function_exists (new_fluid_server CONFIG_FLUID_SERVER)
-  endif ()
+  find_library(FLUIDSYNTH_LIBRARY NAMES ${FLUIDSYNTH_LIBRARIES} HINTS ${FLUIDSYNTH_LIBDIR})
+  set (CMAKE_REQUIRED_LIBRARIES "${FLUIDSYNTH_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   # Check for fluid_synth_system_reset function.
   check_function_exists (fluid_synth_system_reset CONFIG_FLUID_SYSTEM_RESET)
   # Check for fluid_synth_set_bank_offset function.
@@ -183,7 +182,9 @@
     # Check for fluid_settings_foreach_option function.
     check_function_exists (fluid_settings_foreach_option CONFIG_FLUID_SETTINGS_FOREACH_OPTION)
     # Check for new_fluid_server function.
-    check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
+    if (CONFIG_FLUID_SERVER)
+      check_function_exists (new_fluid_server CONFIG_NEW_FLUID_SERVER)
+    endif ()
   endif ()
 else ()
   message (FATAL_ERROR "*** FLUIDSYNTH library not found.")
