=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # project(qsynth)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}
-  ${CMAKE_CURRENT_BINARY_DIR}
-)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -71,15 +75,20 @@
    translations/qsynth_sr.ts
 )
 
-qt_wrap_ui (UI_SOURCES ${FORMS})
-qt_wrap_cpp (MOC_SOURCES ${HEADERS})
-qt_add_resources (QRC_SOURCES ${RESOURCES})
-qt_add_translation (QM_FILES ${TRANSLATIONS})
+if (QT_VERSION VERSION_LESS 5.15.0)
+    qt5_add_translation (QM_FILES ${TRANSLATIONS})
+else()
+    qt_add_translation (QM_FILES ${TRANSLATIONS})
+endif()
 
 add_custom_target (translations ALL DEPENDS ${QM_FILES})
 
 if (WIN32)
-  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win32/setup.nsi.in
+                 ${CMAKE_CURRENT_BINARY_DIR}/setup.nsi IMMEDIATE @ONLY)
+  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc.in
+                 ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.rc IMMEDIATE @ONLY)
+  set (RC_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.rc)
   set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
   find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
   if (MINGW)
@@ -93,17 +102,25 @@
 
 if (APPLE)
   set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
-  list (APPEND SOURCES ${ICON_FILE})
+  list (APPEND SOURCES ${ICON_FILE} ${QM_FILES})
   set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
   set_source_files_properties (${ICON_FILE} PROPERTIES
     MACOSX_PACKAGE_LOCATION Resources)
+  set_source_files_properties (${QM_FILES} PROPERTIES
+    MACOSX_PACKAGE_LOCATION translations)
+  include(TranslationUtils)
+  add_qt_translations(QT_TRANSLATIONS cs de es fr ru sr)
+  set_source_files_properties (${QT_TRANSLATIONS} PROPERTIES
+    MACOSX_PACKAGE_LOCATION translations)
+  list (APPEND SOURCES ${QT_TRANSLATIONS})
 endif ()
 
+
 add_executable (${PROJECT_NAME}
-  ${UI_SOURCES}
-  ${MOC_SOURCES}
-  ${QRC_SOURCES}
+  ${HEADERS}
   ${SOURCES}
+  ${FORMS}
+  ${RESOURCES}
 )
 
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
@@ -113,7 +130,16 @@
 endif ()
 
 if (APPLE)
-  set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
+  set_target_properties (${PROJECT_NAME} PROPERTIES
+    MACOSX_BUNDLE true
+    MACOSX_BUNDLE_GUI_IDENTIFIER "org.rncbc.qsynth"
+    MACOSX_BUNDLE_BUNDLE_NAME "${PACKAGE_NAME}"
+    MACOSX_BUNDLE_DISPLAY_NAME "${PACKAGE_NAME}"
+    MACOSX_BUNDLE_INFO_STRING "A fluidsynth Qt GUI Interface"
+    MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION}"
+    MACOSX_BUNDLE_SHORT_VERSION_STRING "${CONFIG_VERSION}"
+    MACOSX_BUNDLE_BUNDLE_VERSION "${CONFIG_VERSION}"
+    MACOSX_BUNDLE_COPYRIGHT "Copyright © 2003-2021, Rui Nuno Capela. All rights reserved.")
 endif ()
 
 target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)
@@ -123,7 +149,7 @@
 endif ()
 
 if (CONFIG_FLUIDSYNTH)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${FLUIDSYNTH_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::FLUIDSYNTH)
 endif ()
 
 if (CONFIG_ROUND)
@@ -152,3 +178,5 @@
    install (FILES ${QM_FILES}
      DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
 endif ()
+
+include(DeploymentUtils)
