=== debian/changelog ===
qsynth (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Refresh soundfont dir patch
  * Add d/lintian-overrides
  * Update d/copyright year
  * d/copyright: Add myself to the d/ section

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:30:21 +0100

qsynth (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump S-V to 4.5.1, no changes needed
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Dec 2020 22:37:04 +0100
