=== debian/control ===
Source: qsynth
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Dennis Braun <d_braun@kabelmail.de>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libfluidsynth-dev,
 libqt5x11extras5-dev,
 libx11-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://qsynth.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qsynth.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qsynth
Rules-Requires-Root: no

Package: qsynth
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 fluid-soundfont-gm
Suggests:
 jackd
Description: fluidsynth MIDI sound synthesiser front-end
 QSynth is a fluidsynth GUI front-end application written in C++ around the Qt
 toolkit. Eventually it may evolve into a softsynth management application
 allowing the user to control and manage a variety of command line softsynths
 but for the moment it wraps FluidSynth (http://www.fluidsynth.org).
 .
 FluidSynth is a command line software synthesiser based on the Soundfont
 specification.
