=== debian/changelog ===
qsynth (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Oct 2021 17:29:24 -0400

qsynth (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Bump Standards-Version to 4.6.0
  * debian/rules: Atm debian archive has no qt6, we compile with --disable-qt6
  * Refresh patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:50:17 +0200
