=== debian/changelog ===
qsynth (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 17 Jan 2022 01:02:35 -0500

qsynth (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * Refresh patchset
  * Update d/copyright years
  * Remove not existing TODO from d/docs
  * Update d/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 15:40:07 +0100
