=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Scmake --disable-qt6

override_dh_strip:
	dh_strip --no-automatic-dbgsym
